> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bridg.now/llms.txt
> Use this file to discover all available pages before exploring further.

# Get transfer

> Read one transfer by id. Open to anyone holding the id. Poll until `status` is `COMPLETED`, `PARTIAL`, `REFUNDED`, `FAILED` or `ABANDONED`.



## OpenAPI

````yaml openapi/openapi.json GET /bridge/transfers/{id}
openapi: 3.1.0
info:
  title: Bridg API
  version: 1.0.0
  description: >-
    Quote, build, submit and track cross-chain transfers across every venue
    Bridg aggregates.
servers:
  - url: https://api.bridg.now/v1
security: []
paths:
  /bridge/transfers/{id}:
    get:
      tags:
        - bridge
      summary: Get transfer
      description: >-
        Read one transfer by id. Open to anyone holding the id. Poll until
        `status` is `COMPLETED`, `PARTIAL`, `REFUNDED`, `FAILED` or `ABANDONED`.
      parameters:
        - schema:
            type: string
            pattern: >-
              ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
          required: true
          name: id
          in: path
      responses:
        '200':
          description: The transfer
          content:
            application/json:
              schema:
                type: object
                properties:
                  transferId:
                    type: string
                  status:
                    type: string
                  statusDetail:
                    type: string
                    nullable: true
                  venue:
                    type: string
                  fromChain:
                    type: string
                  toChain:
                    type: string
                  fromAsset:
                    type: string
                    nullable: true
                  toAsset:
                    type: string
                    nullable: true
                  amountInAtomic:
                    type: string
                  expectedOutAtomic:
                    type: string
                  minOutAtomic:
                    type: string
                  receivedAmountAtomic:
                    type: string
                    nullable: true
                  receivedAsset:
                    type: string
                    nullable: true
                  sourceTxHash:
                    type: string
                    nullable: true
                  sourceTxVerification:
                    type: string
                    nullable: true
                    enum:
                      - verified
                      - pending
                      - unverified_no_rpc
                      - unverified_rpc_error
                      - refuted
                      - null
                  destinationTxHash:
                    type: string
                    nullable: true
                  feeTxHash:
                    type: string
                    nullable: true
                  claim:
                    type: object
                    nullable: true
                    properties:
                      kind:
                        type: string
                        enum:
                          - redeem
                          - deposit
                          - spot_transfer
                      chain:
                        type: string
                      vm:
                        type: string
                        enum:
                          - evm
                          - svm
                    required:
                      - kind
                      - chain
                      - vm
                  postStep:
                    type: object
                    nullable: true
                    properties:
                      kind:
                        type: string
                        enum:
                          - hypercore_deposit
                      chain:
                        type: string
                        enum:
                          - arbitrum
                      vm:
                        type: string
                        enum:
                          - evm
                      recipient:
                        type: string
                      txHash:
                        type: string
                        nullable: true
                      creditedAmountAtomic:
                        type: string
                        nullable: true
                      mode:
                        type: string
                        enum:
                          - relayed
                          - manual
                          - forwarded
                      balance:
                        type: string
                        enum:
                          - perps
                          - spot
                      spotTxHash:
                        type: string
                        nullable: true
                      spotMovedAt:
                        type: integer
                        nullable: true
                      relayGas:
                        type: object
                        nullable: true
                        properties:
                          signedGasPriceWei:
                            type: string
                          maxFeePerGasWei:
                            type: string
                          effectiveGasPriceWei:
                            type: string
                            nullable: true
                          pullSignedGasPriceWei:
                            type: string
                            nullable: true
                          pullEffectiveGasPriceWei:
                            type: string
                            nullable: true
                        required:
                          - signedGasPriceWei
                          - maxFeePerGasWei
                          - effectiveGasPriceWei
                          - pullSignedGasPriceWei
                          - pullEffectiveGasPriceWei
                    required:
                      - kind
                      - chain
                      - vm
                      - recipient
                      - txHash
                      - creditedAmountAtomic
                      - mode
                      - balance
                      - spotTxHash
                      - spotMovedAt
                      - relayGas
                  finalDestination:
                    type: object
                    nullable: true
                    properties:
                      chainKey:
                        type: string
                        enum:
                          - hypercore
                      asset:
                        type: string
                        enum:
                          - USDC
                    required:
                      - chainKey
                      - asset
                  requesterWallet:
                    type: string
                  recipientWallet:
                    type: string
                  avgSavedBps:
                    type: integer
                    nullable: true
                  savedVsWorstBps:
                    type: integer
                    nullable: true
                  savingsQuoteCount:
                    type: integer
                    nullable: true
                  usdValueBridged:
                    type: string
                    nullable: true
                  usdValueSaved:
                    type: string
                    nullable: true
                  fees:
                    type: array
                    items:
                      type: object
                      properties:
                        kind:
                          type: string
                          enum:
                            - platform
                            - referral
                            - relay_fee
                            - relay_gas
                        status:
                          type: string
                          enum:
                            - offered
                            - expected
                            - settled
                            - owed
                            - paid
                            - void
                        bps:
                          type: integer
                        amountAtomic:
                          type: string
                        asset:
                          type: string
                          nullable: true
                        chain:
                          type: string
                        wallet:
                          type: string
                          nullable: true
                        tierSavedBps:
                          type: integer
                          nullable: true
                        txHash:
                          type: string
                          nullable: true
                      required:
                        - kind
                        - status
                        - bps
                        - amountAtomic
                        - asset
                        - chain
                        - wallet
                        - tierSavedBps
                        - txHash
                  privacy:
                    type: boolean
                  privacyModel:
                    type: string
                    nullable: true
                  userIp:
                    type: string
                    nullable: true
                  buildExpiresAtMs:
                    type: integer
                  deposit:
                    type: object
                    properties:
                      address:
                        type: string
                      amountAtomic:
                        type: string
                      memo:
                        type: string
                      deadlineMs:
                        type: integer
                      tokenAddress:
                        type: string
                        nullable: true
                      chainKey:
                        type: string
                    required:
                      - address
                      - amountAtomic
                      - deadlineMs
                      - tokenAddress
                      - chainKey
                  createdAt:
                    type: integer
                  submittedAt:
                    type: integer
                    nullable: true
                  updatedAt:
                    type: integer
                  completedAt:
                    type: integer
                    nullable: true
                required:
                  - transferId
                  - status
                  - statusDetail
                  - venue
                  - fromChain
                  - toChain
                  - fromAsset
                  - toAsset
                  - amountInAtomic
                  - expectedOutAtomic
                  - minOutAtomic
                  - receivedAmountAtomic
                  - receivedAsset
                  - sourceTxHash
                  - sourceTxVerification
                  - destinationTxHash
                  - feeTxHash
                  - claim
                  - postStep
                  - finalDestination
                  - requesterWallet
                  - recipientWallet
                  - avgSavedBps
                  - savedVsWorstBps
                  - savingsQuoteCount
                  - usdValueBridged
                  - usdValueSaved
                  - fees
                  - privacy
                  - privacyModel
                  - buildExpiresAtMs
                  - createdAt
                  - submittedAt
                  - updatedAt
                  - completedAt
              example:
                fees:
                  - kind: platform
                    status: offered
                    bps: 5
                    amountAtomic: '50000'
                    asset: '0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913'
                    chain: base
                    wallet: null
                    tierSavedBps: 55
                    txHash: null
                transferId: ca0e5dee-be62-4a8d-aab9-3c8762b29281
                status: PENDING_SIGNATURE
                statusDetail: null
                venue: across
                fromChain: base
                toChain: solana
                fromAsset: '0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913'
                toAsset: EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
                amountInAtomic: '99950000'
                expectedOutAtomic: '99937006'
                minOutAtomic: '99937006'
                receivedAmountAtomic: null
                receivedAsset: null
                sourceTxHash: null
                sourceTxVerification: null
                destinationTxHash: null
                feeTxHash: null
                claim: null
                postStep: null
                finalDestination: null
                requesterWallet: '0x58e602386db134b1f9b1d6d390c11a2b7b486677'
                recipientWallet: 3BQtHR41iDPiu9skeSVzmBDpZKcKqEEDnMn6UkbAHvZz
                avgSavedBps: 55
                savedVsWorstBps: 167
                savingsQuoteCount: 14
                usdValueBridged: null
                usdValueSaved: null
                privacy: false
                privacyModel: none
                buildExpiresAtMs: 1789929586118
                createdAt: 1789929525969
                submittedAt: null
                updatedAt: 1789929525969
                completedAt: null
        '400':
          description: >-
            Malformed request, an unknown asset, or a signed transaction that is
            not what we built
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      details:
                        type: object
                        additionalProperties:
                          nullable: true
                      retryAfterMs:
                        type: integer
                    required:
                      - code
                      - message
                required:
                  - error
        '404':
          description: No such decision or transfer, or the aggregator is switched off
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      details:
                        type: object
                        additionalProperties:
                          nullable: true
                      retryAfterMs:
                        type: integer
                    required:
                      - code
                      - message
                required:
                  - error
        '409':
          description: >-
            The decision is indicative, the quote expired or drifted, the venue
            is ineligible, or execution is switched off
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      details:
                        type: object
                        additionalProperties:
                          nullable: true
                      retryAfterMs:
                        type: integer
                    required:
                      - code
                      - message
                required:
                  - error
        '429':
          description: Rate limited; retry after `retryAfterMs`
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      details:
                        type: object
                        additionalProperties:
                          nullable: true
                      retryAfterMs:
                        type: integer
                    required:
                      - code
                      - message
                required:
                  - error
        '502':
          description: The venue refused to build, or the broadcast was rejected
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      details:
                        type: object
                        additionalProperties:
                          nullable: true
                      retryAfterMs:
                        type: integer
                    required:
                      - code
                      - message
                required:
                  - error

````